$(document).ready(function(){

  var tableAt;
  initPage();
  initTable(tableAt);

});

function initPage() {
  $('#loadPublicacao').hide();
  $('#btmCancelar').click(function(){
    resetForm('formCadastrar');
  }); 
}//initPage

function resetForm(form) {
  $('#'+form).each(function(){
    this.reset(); 
  });
}//ResetForm

function initTable(tableAt) {
  tableAt = 
  $('#datatable-turma-active').DataTable( {
    //serverSide: false,
    processing: true,
    responsive: true,
    ajax: {
        url: 'manter.php',
        type: "POST",
        data : {
            acao : "manterContato",
            tipoAcao: "listarAll"
        },
        dataSrc: ''
    },
    columns: [
            { data: "aluno_nome" },
            { data: "aluno_matricula" },
            { data: "cont_titulo" },
            { data: "cont_texto" },
            { data: "data_formatada" },
            { 
              //data: "id_admin", 
              defaultContent: "<button type='button' class='btn btn-danger' id='apagar' title='Apagar'><span class='fa fa-trash'></button>"
            }
        ],
    fixedHeader: true,
    "language": {
      "lengthMenu": "Exibir _MENU_ por página",
      "zeroRecords": "Nada encontrado, desculpe.",
      "processing": "Processando...",
      "info": "Exibindo página _PAGE_ de _PAGES_",
      "infoEmpty": "Nenhum registro disponível",
      "infoFiltered": "(Filtrado de _MAX_ registros totais)",
      "search": "Buscar: ",
      "paginate": {
        "first":      "Primeiro",
        "last":       "Último",
        "next":       "Prox",
        "previous":   "Anterior"
      }
    }
  });//DataTable-active

  $('#datatable-turma-active tbody').on( 'click', 'button', function () {
    var data = tableAt.row( $(this).parents('tr') ).data();
    var idClick = $(this).attr('id');
    switch(idClick) {
      case 'apagar':
          trash(data.cont_id, tableAt);
          break;
      default:
        $("#msg-erro").html("<strong id='msg-erro'>Opção não informada!</strong>");
        $('#alertaErro').show();
        setTimeout(function() {
          $('#alertaErro').hide();
        }, 2000);  
    }
    //console.log(data);
    //alert(data.id_admin);
    //table.fnClearTable();//table.clear().draw();
  });//onClick

}//initTable

function updateObj(obj) {
  $("#reloadAt").val('0');
  $("#idAt").val(obj.turma_id);
  $("#statusAt").val(obj.turma_status);
  $("#nomeAt").val(obj.turma_titulo);
  $("#dataAt").val(obj.turma_date);

  $("button#btnAtualizar").prop('disabled', false);
  $("#myModalAtualizar").modal({backdrop: false});
  $('#submitGif').hide();
  $('#retornoAt').hide();
}//updateObj


function trash(idDelete, tableAt) {
  bootbox.confirm({
    message: "<h3 class='text-center'>Deseja apagar este contato?</h3>",
    buttons: {
      confirm: {
        label: 'Sim!',
        className: 'btn-success'
      },
      cancel: {
        label: 'Cancelar!',
        className: 'btn-danger'
      }
    },
    callback: function (confirma) {
      if (confirma == true) {
        $('#loadPublicacao').show();
        var acao = 'manterContato';
        var tipoAcao = 'trash'; 
        $.ajax({
          url:"manter.php",                    
          type:"post",                            
          data: "Id_Del="+idDelete+"&acao="+acao+"&tipoAcao="+tipoAcao+"&status="+status,
          success: function (result){ 
            if (result == 1) {
              $('#loadPublicacao').hide();
              $("#msg-info").html("<strong id='msg-info'>Contato apagado!</strong>");
              $('#alertaInfo').show();
              tableAt.ajax.reload();
              setTimeout(function() {
                $('#alertaInfo').hide();
              }, 3000);   
            }if (result !=1){
              $('#loadPublicacao').hide();
              $('#alertaErro').show();
              $("#msg-erro").html("<strong id='msg-erro'>Ocorreu um erro!</strong>");
              setTimeout(function() {
                $('#alertaErro').hide();
              }, 2000);                   
            }
          }
        });
      }else{

      }
    }//callback
  });//bootbox
}//delUser
